<template>
  <div class="row">
    <div class="col-5 call">
      Call view
      <q-btn>Start</q-btn>
      <q-btn>End</q-btn>
    </div>
    <div class="col-2"></div>
    <div class="col-5 chat">
      <chat
        :uid="uid"
        :room="room">
      </chat>
    </div>
  </div>
</template>

<script>
import { mapState } from 'vuex';
import Chat from '@/modules/chat/Chat.vue';

export default {
  components: {
    Chat,
  },
  data() {
    return {
      room: 'Room2',
    };
  },
  computed: {
    ...mapState('profile', ['uid']),
  },
};
</script>

<style lang="stylus" scoped>
div.call
div.chat
  padding 20px
  border 2px solid rosybrown
</style>
